#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "ShrineOfSecretsItemViewData.h"
#include "ShrineOfSecretsViewData.generated.h"

USTRUCT(BlueprintType)
struct FShrineOfSecretsViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDateTime OfferDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDateTime EndDate;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FShrineOfSecretsItemViewData> ItemsViewData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool UseSpecialEventBackground;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText EventBannerFrameLabel;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float GlobalDiscountPercentage;

public:
	DBDUIVIEWINTERFACES_API FShrineOfSecretsViewData();
};

FORCEINLINE uint32 GetTypeHash(const FShrineOfSecretsViewData) { return 0; }
